var path = require('path');

var nconf = require('nconf');
var Promise = require('bluebird');

var db = {};
module.exports = db;

db.set = nconf.set.bind(nconf);

db.save = Promise.promisify(nconf.save, nconf);

db.get = nconf.get.bind(nconf);

db.init = function(file) {
    nconf.file(file);
};